Module wxmpl :: Class StripCharter

[frames] | no frames]

# Class StripCharter

source code

Plots and updates lines on a matplotlib `Axes`.

Instance Methods

__init__(self, axes) Create a new `StripCharter` associated with a matplotlib `axes`. | source code

setChannels(self, channels) Specify the data-providers of the lines to be plotted and updated. | source code

update(self) Redraw the associated axes with updated lines if any of the channels' data has changed. | source code